using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace RobotNet.MapManager.Data;

#nullable disable

[Table("Actions")]
[Index(nameof(MapId), nameof(Name), Name = "IX_Action_MapId_Name")]
public class Action
{
    [Column("Id", TypeName = "uniqueidentifier")]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    [Key]
    [Required]
    public Guid Id { get; set; }

    [Column("MapId", TypeName = "uniqueidentifier")]
    [Required]
    public Guid MapId { get; set; }

    [Column("Name", TypeName = "nvarchar(64)")]
    public string Name { get; set; }

    [Column("Content", TypeName = "nvarchar(max)")]
    public string Content { get; set; }

    public Map Map { get; set; }
}
